package com.crm.rely.backend.service;

import com.crm.rely.backend.exception.ServiceException;

import javax.servlet.http.HttpServletRequest;

/**
 * 国家
 */
public interface SysCountryService {

    String getRequestByIp(HttpServletRequest request) throws ServiceException;

    String getAdderByIp(String ip) throws ServiceException;
    String getCountryByIp(HttpServletRequest request) throws ServiceException;

    String getCountryByIp(String ip) throws ServiceException;
}
